{
    "$schema": "https://biomejs.dev/schemas/1.9.4/schema.json",
    "vcs": {
        "enabled": false,
        "clientKind": "git",
        "useIgnoreFile": true,
    },
    "files": {
        "ignoreUnknown": false,
        "ignore": ["node_modules"],
    },
    "formatter": {
        "enabled": true,
        "indentStyle": "tab",
    },
    "organizeImports": {
        "enabled": true,
    },
    "linter": {
        "enabled": true,
        "rules": {
            "recommended": true,
            "performance": {
                "noBarrelFile": "error",
            },
            "style": {
                "useImportType": "error",
                "useExportType": "error",
            },
        },
    },
    "javascript": {
        "formatter": {
            "quoteStyle": "double",
            "trailingCommas": "all",
        },
    },
}
